### set log levels ###
#log4j.rootLogger=DEBUG, Error, Stdout
log4j.rootLogger=INFO,Stdout,Info,Error

log4j.logger.org.springframework=INFO

### print Info to log file ###
log4j.appender.Info = org.apache.log4j.DailyRollingFileAppender
log4j.appender.Info.File = ${catalina.home}/logs/wxInfo.log
log4j.appender.Info.Append = true
log4j.appender.Info.Threshold = INFO
log4j.appender.Info.layout = org.apache.log4j.PatternLayout
log4j.appender.Info.layout.ConversionPattern = %-d{yyyy-MM-dd HH:mm:ss:SSS}  - [ %p ]:  %m%n

### print Debug to log file ###
log4j.appender.Debug = org.apache.log4j.DailyRollingFileAppender
log4j.appender.Debug.File = ${catalina.home}/logs/wxDebug.log
log4j.appender.Debug.Append = true
log4j.appender.Debug.Threshold = DEBUG
log4j.appender.Debug.layout = org.apache.log4j.PatternLayout
log4j.appender.Debug.layout.ConversionPattern = %-d{yyyy-MM-dd HH:mm:ss:SSS}  - [ %p ]:  %m%n

### print Error to log file ###
log4j.appender.Error = org.apache.log4j.DailyRollingFileAppender
log4j.appender.Error.File = ${catalina.home}/logs/wxError.log
log4j.appender.Error.Append = true
log4j.appender.Error.Threshold = ERROR
log4j.appender.Error.layout = org.apache.log4j.PatternLayout
log4j.appender.Error.layout.ConversionPattern = %-d{yyyy-MM-dd HH:mm:ss:SSS}  - [ %p ]:  %m%n 

### print log to console ###
log4j.appender.Stdout = org.apache.log4j.ConsoleAppender
#log4j.appender.Stdout.Target = System.out
log4j.appender.Stdout.layout = org.apache.log4j.PatternLayout
#log4j.appender.Stdout.Threshold=INFO
#log4j.appender.Stdout.ImmediateFlush=true
log4j.appender.Stdout.layout.ConversionPattern = %-d{yyyy-MM-dd HH:mm:ss} [%c]-[%p] %m%n 


### print sql log  ###
log4j.logger.com.ibatis=DEBUG
log4j.logger.com.ibatis.common.jdbc.SimpleDataSource=DEBUG
log4j.logger.com.ibatis.common.jdbc.ScriptRunner=DEBUG
log4j.logger.com.ibatis.sqlmap.engine.impl.SqlMapClientDelegate=DEBUG
log4j.logger.java.sql.Connection=DEBUG
log4j.logger.java.sql.Statement=DEBUG
log4j.logger.java.sql.PreparedStatement=DEBUG
log4j.logger.java.sql.ResultSet=DEBUG


